yaffle
458
2022-05-02 11:47:31 작성 2022-05-02 11:49:44 수정됨
0
89

gem5 컴파일이 안됩니다.


가성환경에서 우분투20.04.4 깔고,  sudo apt install build-essential git m4 scons zlib1g zlib1g-dev libprotobuf-dev protobuf-compiler libprotoc-dev libgoogle-perftools-dev python3-dev python-is-python3 libboost-all-dev pkg-config 패키지 깔고, 

git clone https://gem5.googlesource.com/public/gem5

cd gem5

scons build/X86/gem5.opt 해서 컴파일 했는데 자꾸 에러가 뜹니다. 

Header file <png.h> not found....

Deprecated namespaces are not supported by this compiler...

Couldn't find HDF5 C++ libraries... 워닝이 뜨는데 이거 어떻게 해결하나요?



구글링 해서 

sudo apt-get install libhdf5-dev

sudo apt-get install libpng-dev

도 해봤는데 해결이 안됩니다.

0
  • 답변 0

  • 로그인을 하시면 답변을 등록할 수 있습니다.